using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TriggerDetectorSeries : MonoBehaviour
{
    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("WristLeft"))
        {
            other.GetComponent<Renderer>().material.color = new Color(1, 1, 1);
            other.GetComponent<LineRenderer>().startColor = new Color(1, 1, 1);
            BodySourceView bsv = other.GetComponentInParent<BodySourceView>();
            bsv.wristLeftLate = false;
            Visualizer_FadeInSeries vfi = GetComponentInParent<Visualizer_FadeInSeries>();
            vfi.wristLeftTriggered = true;
        }
        else if (other.CompareTag("WristRight"))
        {
            other.GetComponent<Renderer>().material.color = new Color(1, 1, 1);
            other.GetComponent<LineRenderer>().startColor = new Color(1, 1, 1);
            BodySourceView bsv = other.GetComponentInParent<BodySourceView>();
            bsv.wristRightLate = false;
            Visualizer_FadeInSeries vfi = GetComponentInParent<Visualizer_FadeInSeries>();
            vfi.wristRightTriggered = true;
        }
    }
}
